E-MailRelay

Public Member Functions | Static Public Member Functions | List of all members
GSmtp::MessageId Class Reference

A somewhat opaque identifer for a MessageStore message. More...

`#include <gmessagestore.h>`

## Public Member Functions
| MessageId (const std::string &)
| Constructor. More...
bool | valid () const
| Returns true if valid. More...
std::string | str () const
| Returns the id string. More...
| MessageId (int)=delete

## Static Public Member Functions
static MessageId | none ()
| Returns an in-valid() id. More...

## Detailed Description

A somewhat opaque identifer for a MessageStore message.

Definition at line 42 of file gmessagestore.h.

## Constructor & Destructor Documentation

## ◆ MessageId()

GSmtp::MessageId::MessageId | ( | const std::string & | s | ) |
| inline explicit

Constructor.

Definition at line 151 of file gmessagestore.h.

## Member Function Documentation

## ◆ none()

GSmtp::MessageId GSmtp::MessageId::none | ( |  | ) |
| inline static

Returns an in-valid() id.

Definition at line 152 of file gmessagestore.h.

## ◆ str()

std::string GSmtp::MessageId::str | ( |  | ) | const
| inline

Returns the id string.

Definition at line 153 of file gmessagestore.h.

## ◆ valid()

bool GSmtp::MessageId::valid | ( |  | ) | const
| inline

Returns true if valid.

Definition at line 154 of file gmessagestore.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gmessagestore.h